Page MenuHomePhabricator

Indentation of first fieldset in Vector is mixed up due to cascade inheritance
Closed, ResolvedPublic

Description

The indentation of “Select options below to be global“ headline (noJS)/label (JS) got mixed up due to inheritance of default fieldset styling. OOUI is using fieldset for accessibility reasons.

Expected result

The label should start horizontally on one line with other elements and in JS mode apply a margin aligned to our standard 4px divider values

Details

Related Gerrit Patches:
mediawiki/extensions/GlobalPreferences : masterFix indentation of global selection checkbox

Event Timeline

Volker_E created this task.Nov 22 2018, 1:06 AM
Restricted Application added a project: Community-Tech. · View Herald TranscriptNov 22 2018, 1:06 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

@Prtksxna Can you tackle this?

@Niharika I've been actually preparing a patch as promised, just not yet submitted…

Change 475834 had a related patch set uploaded (by VolkerE; owner: VolkerE):
[mediawiki/extensions/GlobalPreferences@master] Fix indentation of global selection checkbox

https://gerrit.wikimedia.org/r/475834

Niharika assigned this task to Volker_E.Nov 26 2018, 9:21 PM

Assigning it to you then. :)

Change 475834 merged by jenkins-bot:
[mediawiki/extensions/GlobalPreferences@master] Fix indentation of global selection checkbox

https://gerrit.wikimedia.org/r/475834

Niharika closed this task as Resolved.Jan 15 2019, 6:30 AM